package test;

import java.util.logging.Logger;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWs")
public class MyWsBean implements MyWs {

   private static final Logger LOG = Logger.getLogger(MyWsBean.class.getName());

   @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
   public void callMe(final long value) {
      LOG.warning("Call: " + value);
   }

}
