package test;

import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

public class Main {
   public static void main(String[] args) throws Exception {
      final URL url = new URL("http://localhost:8080/MyWsBeanService/MyWsBean?wsdl");
      final QName qname = new QName("http://test/", "MyWsBeanService");
      final Service service = Service.create(url, qname);

      final MyWs myWs = (MyWs) service.getPort(MyWs.class);

      long counter = 0;
      do {
         System.out.println(counter);
         try {
            myWs.callMe(counter++);
         } catch (Exception e) {
            e.printStackTrace();
         }
      } while (true);
   }
}
